﻿using Syncfusion.XForms.DataForm;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace DataFormPassword
{
    public class DataFormBehavior : Behavior<ContentPage>
    {
        SfDataForm dataForm = null;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            dataForm = bindable.FindByName<SfDataForm>("dataForm");
            dataForm.DataObject = new LoginInfo();
        }
    }

    public class LoginInfo
    {
        public string Name { get; set; } = "John";

        public string Email { get; set; } 

        [DataType(DataType.Password)]
        public string Password { get; set; } = "Syncfusion";
    }
}
